Page MenuHome

Cycles Fresnel nodes - broken gradients on objects with negative scale (final render only, not viewport)
Closed, ResolvedPublic

Description

System Information
Windows 7 64-bit, GTX-580, AMD FX-4100, 8 GB RAM

Blender Version
Broken: Buildbot 2.71 698a9a2, and buildbot 2.71 b49e6d0
Worked: 2.70a official

Short description of error
On an object with negative scale, a cycles Fresnel or Layer Weight (just Fresnel output, not Facing) produces a sharp divide in final (but not viewport) renders, instead of a smooth gradient, as seen below:


The sphere on the left has x-scale -1; the one on the right is all positively scaled.

Exact steps for others to reproduce the error
Take some smoothly-curving object, scale it by -1 along some axis (or all three, but not just two, that isn't broken;) and apply a material that uses a Fresnel mixing factor (default IOR/mix factor.) There will be a sharp divide where there should not be on the final render, but not in the viewport render,

Alternatively, see here:

Try the two different Fresnel nodes and the Layer Weight, and observe that only Layer Weight works in final renders, but all three work in the viewport.

Event Timeline

Tom Benedett (moak) raised the priority of this task from to 90.
Tom Benedett (moak) updated the task description. (Show Details)
Tom Benedett (moak) edited a custom field.

Can confirm the issue with latest master as well. Sergey, this is your playground now. ;)

Bastien Montagne (mont29) lowered the priority of this task from 90 to 50.Jul 28 2014, 12:47 PM
Sergey Sharybin (sergey) changed the task status from Unknown Status to Resolved.Aug 12 2014, 4:21 PM

This issue had actually been fixed already in rB9fcaac5 and rBeb8f85d. Please grab latest build from builder.blender.org and give it a try.

Let me know if the issue still exists for you, but for until then considering this issue is fixed.

Nope, not fixed; it's still there as of the very latest Win64 buildbot version (7c9b8aa).

I hit F12 in the example file (using the new Blender version) and still get this image:

Sergey Sharybin (sergey) changed the task status from Resolved to Unknown Status.Aug 13 2014, 11:06 AM

Indeed, for some reason it worked from the desktop..